petsc-3.13.6 2020-09-29
Report Typos and Errors

# TSHasTransientVariable

determine whether transient variables have been set

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSHasTransientVariable(TS ts,PetscBool *has)

Logically Collective

### Input Parameters

ts -TS on which to compute

### Output Parameters

has -PETSC_TRUE if transient variables have been set

### See Also

DMTSSetTransientVariable(), TSComputeTransientVariable()

### Level

developer

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages